(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; ]
Signal Processing Packages:
:[font = title; inactive; preserveAspect; ]
Implementing Linear Systems Theory in
:[font = special1; inactive; preserveAspect; ]
MATHEMATICA
:[font = special4; inactive; preserveAspect; center; spaceAbove = 12; spaceBelow = 12; ]
by
:[font = subtitle; inactive; preserveAspect; spaceBelow = 16; ]
Brian L. Evans and James H. McClellan
:[font = text; inactive; preserveAspect; ]
     We have developed a set of extensions to Mathematica to help you in learning signals and systems.  These extensions come in the form of new routines to compute linear transforms and convolutions and to plot signals and sequences.  Accompanying these extensions are a set of hands-on tutorials on various aspects on signals and systems.  You can copy and freely distribute these extensions (but not Mathematica) .  These extensions are available in formats for other computers (see page 7 of this handout).
;[s]
5:0,0;46,1;57,2;403,3;414,4;511,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Mathematica, released by Wolfram Research Inc., is an environment for performing algebraic and other mathematical operations that you usually do by hand.  Mathematica actually consists of two different programs.  The kernel is
;[s]
6:0,0;16,1;160,2;171,3;222,4;228,5;231,-1;
6:1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a calculator
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a symbolic manipulator
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a programming environment
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a visualization tool
:[font = text; inactive; preserveAspect; ]
and it can run on about every personal computer and workstation on the market today.  The Notebook program is
;[s]
3:0,0;90,1;98,2;109,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a versatile user interface (windows, mouse, menus, etc.)
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a word processor
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
a multimedia platform
:[font = text; inactive; preserveAspect; ]
When one runs the Notebook program, it will start the kernel in the background, send it commands you have entered, and display the results.  What you are reading now was prepared using the Notebook interface.
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Mathematica
:[font = text; inactive; preserveAspect; ]
     Mathematica is a program to perform (tedious) algebraic calculations.  The purpose of this section is to introduce you to Mathematica's syntax and familiarize you with its basic functions and operators. 
;[s]
5:0,0;5,1;16,2;127,3;138,4;208,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Mathematica's syntax
;[s]
2:0,0;11,1;20,-1;
2:1,17,13,Times,3,18,0,0,0;1,16,12,Times,1,18,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Mathematica's syntax is regular and consistent.  Built-in functions, symbols, and operators begin with a capital letter:
;[s]
2:0,0;16,1;125,-1;
2:1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; spaceAbove = 0; ]
    Exp[x]        exp(x) or ex
    I             square root of -1
    D[2 x^2, x]   derivative of 2 x^2 w/r to x
;[s]
3:0,0;29,1;30,2;113,-1;
3:1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,32,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Parentheses are useful for grouping expressions together, but  square brackets are used for functions calls.   For example, Re[x] and Im[x] take the real and imaginary parts of x.  Other useful functions are:
;[s]
7:0,0;124,1;129,2;134,3;139,4;177,5;178,6;208,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; ]
    Sin, Cos, Tan, Cot, Sec, Csc
    ArcSin, ArcCos, ArcTan, ArcCot, ...
    Exp, Log, Cosh, Sinh, Tanh, ...
    BesselI, BesselJ, BesselK, BesselY
:[font = text; inactive; preserveAspect; ]
Useful constants are:
:[font = print; inactive; preserveAspect; ]
    E             Euler's number, e = 2.718 ...
    Pi            Your favorite, 3.141592 ...
    Infinity      Positive infinity
:[font = text; inactive; preserveAspect; ]
To avoid conflict with built-in variables, any variables you use should begin with a lower case letter.  A general fourth-order polynomial in x would be
;[s]
3:0,0;142,1;143,2;153,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
a4 x^4 + a3 x^3 + a2 x^2 + a1 x + a0 
:[font = text; inactive; preserveAspect; ]
The space between a4 and x^4 denotes multiplication.  The bold font denotes Mathematica code that can be evaluated.
;[s]
7:0,0;18,1;20,2;25,3;29,4;76,5;87,6;115,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Mathematica provides a rich set of operators, some ``borrowed'' from C:  
;[s]
3:0,0;5,1;16,2;78,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; center; ]
+   -   *   /    addition, subtraction, ... 
+=  -=  *=  /=   accumulate, ...            
++  --  ^        increment, decrement, power
==  !=           logical equality tests     
&&  ||           logical and, logical or    
:[font = text; inactive; preserveAspect; ]
For example, a loop that iterates i from 1 to 100 and accumulates the value of i in the variable sum would be written in Mathematica as
;[s]
13:0,0;34,1;35,2;41,3;42,4;46,5;49,6;78,7;80,8;97,9;100,10;121,11;132,12;135,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
sum = 0;
For [ i = 1, i <= 100, i++, sum += i ];
sum
:[font = text; inactive; preserveAspect; endGroup; ]
Here, the For[ ] loop contains four arguments separated by commas.  Semicolons are used to separate expressions.   To evaluate an expression, click anywhere in the cell containing it and hit ENTER or SHIFT-RETURN.
;[s]
3:0,0;10,1;16,2;213,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Simple Calculus with Mathematica
;[s]
2:0,0;21,1;32,-1;
2:1,16,12,Times,1,18,0,0,0;1,17,13,Times,3,18,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Mathematica can of course do simple calculus.  Integrating 3 x^2 with respect to x is carried out by
;[s]
7:0,0;5,1;16,2;64,3;69,4;86,5;87,6;105,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Integrate[ 3 x^2, x ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
x^3
;[o]
 3
x
:[font = text; inactive; preserveAspect; ]
To integrate x log(x) over an interval of x, say from 1 to 2, use
:[font = input; preserveAspect; startGroup; ]
Integrate[ x Log[x], {x, 1, 2} ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
-3/4 + 2*Log[2]
;[o]
  3
-(-) + 2 Log[2]
  4
:[font = text; inactive; preserveAspect; ]
First, notice how the definite limits were specified---  as a list.  The curly braces are short-hand notation for a list.  Second, notice that Log[2] was never given a value.  This is because Mathematica keeps expressions in EXACT form.  That is, there is no integer or rational number that exactly equals Log[2].  You, the user, can ask Mathematica to approximate an expression to a given number of digits.  In order to approximate the previous expression (% in Mathematica) to 20 digits, we say
;[s]
11:0,0;143,1;149,2;192,3;203,4;306,5;312,6;338,7;349,8;463,9;474,10;496,-1;
11:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; startGroup; ]
N[ %, 20 ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
0.6362943611198906188
;[o]
0.6362943611198906188
:[font = text; inactive; preserveAspect; ]
Similarly, %5 is the output of the fifth command and %-2 is the output of two commands ago.  The %n is short-hand notation for Out[n].
;[s]
12:0,0;11,1;13,2;53,3;57,4;97,5;98,6;99,7;127,8;131,9;132,10;133,11;135,-1;
12:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Mathematica also takes partial derivatives.  Taking the derivative of
C x^2 Tan[x] with respect to x is carried out by
;[s]
7:0,0;5,1;16,2;75,3;87,4;104,5;105,6;123,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
D[ C x^2 Tan[x], x ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
(C*x^2)/Cos[x]^2 + 2*C*x*Tan[x]
;[o]
    2
 C x
------- + 2 C x Tan[x]
      2
Cos[x]
:[font = text; inactive; preserveAspect; ]
     Solve also handles simultaneous equations, even non-linear ones, e.g.
;[s]
3:0,0;5,1;10,2;75,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Solve[{-a B + b + a - a^3 / 8 - a b^2 / 8 == G,
       -b B - a + b - b^3 / 8 - a^2 b / 8 == 0},
      {a, b}]
:[font = text; inactive; preserveAspect; endGroup; ]
We have two equations (specified by == not =) in two unknowns (a and b). We do not show the answers here because it would occupy 2 printed pages. 
;[s]
7:0,0;36,1;38,2;63,3;64,4;69,5;70,6;147,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
      Mathematica offers other commands to solve different kinds of equations:
;[s]
2:0,0;17,1;78,-1;
2:1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
DSolve solves differential equations symbolically
;[s]
2:0,0;6,1;50,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
NDSolve solves differential equations numerically
;[s]
2:0,0;7,1;50,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
LinearSolve solves a matrix-vector system
;[s]
2:0,0;11,1;42,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
NSolve solves a system of equations numerically
;[s]
2:0,0;7,1;48,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Giving Values to Symbols
:[font = text; inactive; preserveAspect; ]
     To replace symbols in an expression with values, use the /. operator:
;[s]
3:0,0;62,1;65,2;75,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
b Cos[a Pi] /. { a -> 1, b -> 2 }
:[font = text; inactive; preserveAspect; ]
This gives -2.  Another way is to define your own function:
;[s]
3:0,0;11,1;13,2;60,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
myfun[a_, b_] := b Cos[a Pi]
:[font = text; inactive; preserveAspect; endGroup; ]
Similarly,  myfun[1, 2] would give -2.  You could plot myfun[x,y] in 3-D, etc.
;[s]
7:0,0;12,1;23,2;35,3;37,4;55,5;65,6;78,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Graphics and Plotting
:[font = text; inactive; preserveAspect; ]
     Mathematica handles all of the details of plotting badly behaved functions
;[s]
3:0,0;5,1;16,2;79,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Plot[ Tan[x], {x, 0, 6 Pi} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.05053 0.304 0.01364 [
[(2.5)] 0.15012 0.2915 0 1 Msboxa
[(5)] 0.27644 0.2915 0 1 Msboxa
[(7.5)] 0.40275 0.2915 0 1 Msboxa
[(10)] 0.52906 0.2915 0 1 Msboxa
[(12.5)] 0.65538 0.2915 0 1 Msboxa
[(15)] 0.78169 0.2915 0 1 Msboxa
[(17.5)] 0.908 0.2915 0 1 Msboxa
[(-20)] 0.01131 0.03126 1 0 Msboxa
[(-10)] 0.01131 0.16763 1 0 Msboxa
[(10)] 0.01131 0.44037 1 0 Msboxa
[(20)] 0.01131 0.57674 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.304 moveto
1 0.304 lineto
stroke
0.15012 0.29775 moveto
0.15012 0.31025 lineto
stroke
0 setgray
[(2.5)] 0.15012 0.2915 0 1 Mshowa
0.27644 0.29775 moveto
0.27644 0.31025 lineto
stroke
0 setgray
[(5)] 0.27644 0.2915 0 1 Mshowa
0.40275 0.29775 moveto
0.40275 0.31025 lineto
stroke
0 setgray
[(7.5)] 0.40275 0.2915 0 1 Mshowa
0.52906 0.29775 moveto
0.52906 0.31025 lineto
stroke
0 setgray
[(10)] 0.52906 0.2915 0 1 Mshowa
0.65538 0.29775 moveto
0.65538 0.31025 lineto
stroke
0 setgray
[(12.5)] 0.65538 0.2915 0 1 Mshowa
0.78169 0.29775 moveto
0.78169 0.31025 lineto
stroke
0 setgray
[(15)] 0.78169 0.2915 0 1 Mshowa
0.908 0.29775 moveto
0.908 0.31025 lineto
stroke
0 setgray
[(17.5)] 0.908 0.2915 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.03126 moveto
0.03006 0.03126 lineto
stroke
0 setgray
[(-20)] 0.01131 0.03126 1 0 Mshowa
0.01756 0.16763 moveto
0.03006 0.16763 lineto
stroke
0 setgray
[(-10)] 0.01131 0.16763 1 0 Mshowa
0.01756 0.44037 moveto
0.03006 0.44037 lineto
stroke
0 setgray
[(10)] 0.01131 0.44037 1 0 Mshowa
0.01756 0.57674 moveto
0.03006 0.57674 lineto
stroke
0 setgray
[(20)] 0.01131 0.57674 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.304 moveto
0.04365 0.30965 lineto
0.05357 0.31311 lineto
0.05853 0.31519 lineto
0.06349 0.31764 lineto
0.06845 0.32062 lineto
0.07341 0.32441 lineto
0.07837 0.32951 lineto
0.08085 0.33283 lineto
0.08333 0.33692 lineto
0.08581 0.34211 lineto
0.08829 0.34896 lineto
0.09077 0.35844 lineto
0.09201 0.36473 lineto
0.09325 0.37256 lineto
0.09449 0.38259 lineto
0.09573 0.39593 lineto
0.09697 0.41457 lineto
0.09821 0.44246 lineto
0.09945 0.48887 lineto
0.10069 0.58159 lineto
0.10193 0.85951 lineto
0.10317 2.227182e+14 lineto
0.10441 -0.25151 lineto
0.10565 0.02641 lineto
0.10689 0.11913 lineto
0.10813 0.16554 lineto
0.10938 0.19343 lineto
0.11062 0.21207 lineto
0.11186 0.22541 lineto
0.1131 0.23544 lineto
0.11434 0.24327 lineto
0.11558 0.24956 lineto
0.11806 0.25904 lineto
0.12054 0.26589 lineto
0.12302 0.27108 lineto
0.1255 0.27517 lineto
0.12798 0.27849 lineto
0.13294 0.28359 lineto
0.1379 0.28738 lineto
0.14286 0.29036 lineto
0.15278 0.29489 lineto
0.1627 0.29835 lineto
0.18254 0.304 lineto
0.20238 0.30965 lineto
0.2123 0.31311 lineto
0.21726 0.31519 lineto
0.22222 0.31764 lineto
0.22718 0.32062 lineto
0.23214 0.32441 lineto
Mistroke
0.23462 0.32675 lineto
0.2371 0.32951 lineto
0.23958 0.33283 lineto
0.24206 0.33692 lineto
0.24454 0.34211 lineto
0.24702 0.34896 lineto
0.2495 0.35844 lineto
0.25074 0.36473 lineto
0.25198 0.37256 lineto
0.25322 0.38259 lineto
0.25446 0.39593 lineto
0.2557 0.41457 lineto
0.25694 0.44246 lineto
0.25818 0.48887 lineto
0.25942 0.58159 lineto
0.26066 0.85951 lineto
0.2619 7.42394e+13 lineto
0.26314 -0.25151 lineto
0.26438 0.02641 lineto
0.26563 0.11913 lineto
0.26687 0.16554 lineto
0.26811 0.19343 lineto
0.26935 0.21207 lineto
0.27059 0.22541 lineto
0.27183 0.23544 lineto
0.27307 0.24327 lineto
0.27431 0.24956 lineto
0.27679 0.25904 lineto
0.27927 0.26589 lineto
0.28175 0.27108 lineto
0.28423 0.27517 lineto
0.28671 0.27849 lineto
0.29167 0.28359 lineto
0.29663 0.28738 lineto
0.30159 0.29036 lineto
0.31151 0.29489 lineto
0.32143 0.29835 lineto
0.34127 0.304 lineto
0.36111 0.30965 lineto
0.37103 0.31311 lineto
0.37599 0.31519 lineto
0.38095 0.31764 lineto
0.38591 0.32062 lineto
0.39087 0.32441 lineto
0.39335 0.32675 lineto
0.39583 0.32951 lineto
0.39831 0.33283 lineto
0.40079 0.33692 lineto
0.40327 0.34211 lineto
0.40575 0.34896 lineto
Mistroke
0.40823 0.35844 lineto
0.40947 0.36473 lineto
0.41071 0.37256 lineto
0.41195 0.38259 lineto
0.41319 0.39593 lineto
0.41443 0.41457 lineto
0.41567 0.44246 lineto
0.41691 0.48887 lineto
0.41815 0.58159 lineto
0.41939 0.85951 lineto
0.42063 4.454364e+13 lineto
0.42188 -0.25151 lineto
0.42312 0.02641 lineto
0.42436 0.11913 lineto
0.4256 0.16554 lineto
0.42684 0.19343 lineto
0.42808 0.21207 lineto
0.42932 0.22541 lineto
0.43056 0.23544 lineto
0.4318 0.24327 lineto
0.43304 0.24956 lineto
0.43552 0.25904 lineto
0.438 0.26589 lineto
0.44048 0.27108 lineto
0.44296 0.27517 lineto
0.44544 0.27849 lineto
0.4504 0.28359 lineto
0.45536 0.28738 lineto
0.46032 0.29036 lineto
0.47024 0.29489 lineto
0.48016 0.29835 lineto
0.5 0.304 lineto
0.51984 0.30965 lineto
0.52976 0.31311 lineto
0.53472 0.31519 lineto
0.53968 0.31764 lineto
0.54464 0.32062 lineto
0.5496 0.32441 lineto
0.55208 0.32675 lineto
0.55456 0.32951 lineto
0.55704 0.33283 lineto
0.55952 0.33692 lineto
0.562 0.34211 lineto
0.56448 0.34896 lineto
0.56572 0.35328 lineto
0.56696 0.35844 lineto
0.5682 0.36473 lineto
0.56944 0.37256 lineto
0.57068 0.38259 lineto
0.57192 0.39593 lineto
Mistroke
0.57316 0.41457 lineto
0.5744 0.44246 lineto
0.57564 0.48887 lineto
0.57688 0.58159 lineto
0.57813 0.85951 lineto
0.57937 3.181689e+13 lineto
0.58061 -0.25151 lineto
0.58185 0.02641 lineto
0.58309 0.11913 lineto
0.58433 0.16554 lineto
0.58557 0.19343 lineto
0.58681 0.21207 lineto
0.58805 0.22541 lineto
0.58929 0.23544 lineto
0.59053 0.24327 lineto
0.59177 0.24956 lineto
0.59425 0.25904 lineto
0.59673 0.26589 lineto
0.59921 0.27108 lineto
0.60169 0.27517 lineto
0.60417 0.27849 lineto
0.60913 0.28359 lineto
0.61409 0.28738 lineto
0.61905 0.29036 lineto
0.62897 0.29489 lineto
0.63889 0.29835 lineto
0.65873 0.304 lineto
0.67857 0.30965 lineto
0.68849 0.31311 lineto
0.69345 0.31519 lineto
0.69841 0.31764 lineto
0.70337 0.32062 lineto
0.70833 0.32441 lineto
0.71081 0.32675 lineto
0.71329 0.32951 lineto
0.71577 0.33283 lineto
0.71825 0.33692 lineto
0.72073 0.34211 lineto
0.72321 0.34896 lineto
0.72445 0.35328 lineto
0.72569 0.35844 lineto
0.72693 0.36473 lineto
0.72817 0.37256 lineto
0.72941 0.38259 lineto
0.73065 0.39593 lineto
0.73189 0.41457 lineto
0.73313 0.44246 lineto
0.73438 0.48887 lineto
0.73562 0.58159 lineto
0.73686 0.85951 lineto
Mistroke
0.7381 2.474647e+13 lineto
0.73934 -0.25151 lineto
0.74058 0.02641 lineto
0.74182 0.11913 lineto
0.74306 0.16554 lineto
0.7443 0.19343 lineto
0.74554 0.21207 lineto
0.74678 0.22541 lineto
0.74802 0.23544 lineto
0.74926 0.24327 lineto
0.7505 0.24956 lineto
0.75298 0.25904 lineto
0.75546 0.26589 lineto
0.75794 0.27108 lineto
0.76042 0.27517 lineto
0.7629 0.27849 lineto
0.76786 0.28359 lineto
0.77282 0.28738 lineto
0.77778 0.29036 lineto
0.7877 0.29489 lineto
0.79762 0.29835 lineto
0.81746 0.304 lineto
0.8373 0.30965 lineto
0.84722 0.31311 lineto
0.85218 0.31519 lineto
0.85714 0.31764 lineto
0.8621 0.32062 lineto
0.86706 0.32441 lineto
0.86954 0.32675 lineto
0.87202 0.32951 lineto
0.8745 0.33283 lineto
0.87698 0.33692 lineto
0.87946 0.34211 lineto
0.88194 0.34896 lineto
0.88318 0.35328 lineto
0.88442 0.35844 lineto
0.88566 0.36473 lineto
0.8869 0.37256 lineto
0.88814 0.38259 lineto
0.88938 0.39593 lineto
0.89063 0.41457 lineto
0.89187 0.44246 lineto
0.89311 0.48887 lineto
0.89435 0.58159 lineto
0.89559 0.85951 lineto
0.89683 5.566415e+12 lineto
0.89807 -0.25151 lineto
0.89931 0.02641 lineto
0.90055 0.11913 lineto
0.90179 0.16554 lineto
Mistroke
0.90303 0.19343 lineto
0.90427 0.21207 lineto
0.90551 0.22541 lineto
0.90675 0.23544 lineto
0.90923 0.24956 lineto
0.91047 0.25472 lineto
0.91171 0.25904 lineto
0.91419 0.26589 lineto
0.91667 0.27108 lineto
0.91915 0.27517 lineto
0.92163 0.27849 lineto
0.92659 0.28359 lineto
0.93155 0.28738 lineto
0.93651 0.29036 lineto
0.94643 0.29489 lineto
0.95635 0.29835 lineto
0.97619 0.304 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
and can render two-dimensional functions as 3-D graphics (the space between x and y represents multiplication)
:[font = input; preserveAspect; startGroup; ]
Plot3D[ Sin[x y], {x, 0, 3}, {y, 0, 3} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 40; pictureWidth = 293; pictureHeight = 293; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
% Scaling calculations
0.02381 0.95238 0.02381 0.95238 [
[(0)] 0.05688 0.31214 1 0.933946 Msboxa
[(1)] 0.23549 0.24184 0.931731 1 Msboxa
[(2)] 0.42902 0.16572 0.792736 1 Msboxa
[(3)] 0.63943 0.08304 0.653742 1 Msboxa
[(0)] 0.65703 0.08867 -1 0.391569 Msboxa
[(1)] 0.75282 0.23534 -1 0.355817 Msboxa
[(2)] 0.83538 0.36178 -1 0.326047 Msboxa
[(3)] 0.90729 0.47191 -1 0.300874 Msboxa
[(-1)] 0.05378 0.32904 1 -0.390635 Msboxa
[(-0.5)] 0.04626 0.37616 1 -0.380695 Msboxa
[(0)] 0.03848 0.42493 1 -0.370371 Msboxa
[(0.5)] 0.03042 0.47544 1 -0.359642 Msboxa
[(1)] 0.02207 0.52777 1 -0.348483 Msboxa
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: SurfaceGraphics
[ ] 0 setdash
0 setgray
gsave
0.002 setlinewidth
0.06558 0.32026 moveto
0.64594 0.09301 lineto
stroke
0.06123 0.3162 moveto
0.06993 0.32433 lineto
stroke
0 setgray
[(0)] 0.05688 0.31214 1 0.933946 Mshowa
0.23954 0.2462 moveto
0.24766 0.25491 lineto
stroke
0 setgray
[(1)] 0.23549 0.24184 0.931731 1 Mshowa
0.43272 0.17039 moveto
0.44012 0.17972 lineto
stroke
0 setgray
[(2)] 0.42902 0.16572 0.792736 1 Mshowa
0.64269 0.08803 moveto
0.6492 0.09799 lineto
stroke
0 setgray
[(3)] 0.63943 0.08304 0.653742 1 Mshowa
grestore
gsave
0.002 setlinewidth
0.64594 0.09301 moveto
0.89589 0.47534 lineto
stroke
0.65149 0.09084 moveto
0.6404 0.09518 lineto
stroke
0 setgray
[(0)] 0.65703 0.08867 -1 0.391569 Mshowa
0.74721 0.23734 moveto
0.73599 0.24133 lineto
stroke
0 setgray
[(1)] 0.75282 0.23534 -1 0.355817 Mshowa
0.82972 0.36363 moveto
0.8184 0.36732 lineto
stroke
0 setgray
[(2)] 0.83538 0.36178 -1 0.326047 Mshowa
0.90159 0.47362 moveto
0.89019 0.47705 lineto
stroke
0 setgray
[(3)] 0.90729 0.47191 -1 0.300874 Mshowa
grestore
gsave
0.002 setlinewidth
0.06558 0.32026 moveto
0.03248 0.52913 lineto
stroke
0.05933 0.32687 moveto
0.07042 0.32254 lineto
stroke
0 setgray
[(-1)] 0.05378 0.32904 1 -0.390635 Mshowa
0.05183 0.37404 moveto
0.06295 0.36981 lineto
stroke
0 setgray
[(-0.5)] 0.04626 0.37616 1 -0.380695 Mshowa
0.04406 0.42286 moveto
0.05523 0.41873 lineto
stroke
0 setgray
[(0)] 0.03848 0.42493 1 -0.370371 Mshowa
0.03602 0.47342 moveto
0.04722 0.46939 lineto
stroke
0 setgray
[(0.5)] 0.03042 0.47544 1 -0.359642 Mshowa
0.02769 0.52581 moveto
0.03893 0.5219 lineto
stroke
0 setgray
[(1)] 0.02207 0.52777 1 -0.348483 Mshowa
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
0 setgray
gsave
0.002 setlinewidth
0.06558 0.32026 moveto
0.39347 0.6265 lineto
stroke
0.06558 0.32026 moveto
0.03248 0.52913 lineto
stroke
0.38687 0.8155 moveto
0.03248 0.52913 lineto
stroke
0.38687 0.8155 moveto
0.39347 0.6265 lineto
stroke
0.64594 0.09301 moveto
0.89589 0.47534 lineto
stroke
0.64594 0.09301 moveto
0.65863 0.31163 lineto
stroke
0.92319 0.67509 moveto
0.65863 0.31163 lineto
stroke
0.92319 0.67509 moveto
0.89589 0.47534 lineto
stroke
0.06558 0.32026 moveto
0.03248 0.52913 lineto
stroke
0.06558 0.32026 moveto
0.64594 0.09301 lineto
stroke
0.65863 0.31163 moveto
0.64594 0.09301 lineto
stroke
0.65863 0.31163 moveto
0.03248 0.52913 lineto
stroke
0.39347 0.6265 moveto
0.38687 0.8155 lineto
stroke
0.39347 0.6265 moveto
0.89589 0.47534 lineto
stroke
0.92319 0.67509 moveto
0.89589 0.47534 lineto
stroke
0.92319 0.67509 moveto
0.38687 0.8155 lineto
stroke
0.06558 0.32026 moveto
0.64594 0.09301 lineto
stroke
0.06558 0.32026 moveto
0.39347 0.6265 lineto
stroke
0.89589 0.47534 moveto
0.39347 0.6265 lineto
stroke
0.89589 0.47534 moveto
0.64594 0.09301 lineto
stroke
0.03248 0.52913 moveto
0.65863 0.31163 lineto
stroke
0.03248 0.52913 moveto
0.38687 0.8155 lineto
stroke
0.92319 0.67509 moveto
0.38687 0.8155 lineto
stroke
0.92319 0.67509 moveto
0.65863 0.31163 lineto
stroke
grestore
0.49975 setgray
0.0015 setlinewidth
0.37007 0.70047 0.39027 0.7181 0.4226 0.76375 0.40243 0.74276 Metetra
0.71417 setgray
0.40243 0.74276 0.4226 0.76375 0.45688 0.78857 0.43676 0.76824 Metetra
0.85443 setgray
0.43676 0.76824 0.45688 0.78857 0.49252 0.77696 0.47266 0.76305 Metetra
0.87201 setgray
0.47266 0.76305 0.49252 0.77696 0.5283 0.72948 0.5091 0.72503 Metetra
0.76083 setgray
0.5091 0.72503 0.5283 0.72948 0.56336 0.6626 0.54511 0.66484 Metetra
0.55935 setgray
0.54511 0.66484 0.56336 0.6626 0.59773 0.59974 0.58037 0.60079 Metetra
0.33725 setgray
0.58037 0.60079 0.59773 0.59974 0.63244 0.56082 0.61543 0.551 Metetra
0.17136 setgray
0.61543 0.551 0.63244 0.56082 0.66891 0.55603 0.65143 0.52779 Metetra
0.11905 setgray
0.65143 0.52779 0.66891 0.55603 0.70832 0.58368 0.68962 0.53501 Metetra
0.19841 setgray
0.68962 0.53501 0.70832 0.58368 0.75084 0.63038 0.7308 0.56751 Metetra
0.382 setgray
0.7308 0.56751 0.75084 0.63038 0.79516 0.67396 0.77481 0.61176 Metetra
0.60632 setgray
0.77481 0.61176 0.79516 0.67396 0.83868 0.6911 0.82019 0.64873 Metetra
0.79377 setgray
0.82019 0.64873 0.83868 0.6911 0.87879 0.66869 0.86456 0.66011 Metetra
0.87953 setgray
0.86456 0.66011 0.87879 0.66869 0.9145 0.61155 0.90563 0.63651 Metetra
0.49975 setgray
0.34934 0.68237 0.37007 0.70047 0.40243 0.74276 0.38177 0.72115 Metetra
0.69946 setgray
0.38177 0.72115 0.40243 0.74276 0.43676 0.76824 0.41614 0.74662 Metetra
0.84006 setgray
0.41614 0.74662 0.43676 0.76824 0.47266 0.76305 0.45223 0.74691 Metetra
0.87991 setgray
0.45223 0.74691 0.47266 0.76305 0.5091 0.72503 0.48919 0.71816 Metetra
0.80723 setgray
0.48919 0.71816 0.5091 0.72503 0.54511 0.66484 0.52609 0.66639 Metetra
0.64353 setgray
0.52609 0.66639 0.54511 0.66484 0.58037 0.60079 0.56235 0.60485 Metetra
0.43727 setgray
0.56235 0.60485 0.58037 0.60079 0.61543 0.551 0.59811 0.54878 Metetra
0.2495 setgray
0.59811 0.54878 0.61543 0.551 0.65143 0.52779 0.63411 0.51072 Metetra
0.1358 setgray
0.63411 0.51072 0.65143 0.52779 0.68962 0.53501 0.67146 0.49774 Metetra
0.12985 setgray
0.67146 0.49774 0.68962 0.53501 0.7308 0.56751 0.71119 0.51046 Metetra
0.23338 setgray
0.71119 0.51046 0.7308 0.56751 0.77481 0.61176 0.75387 0.54291 Metetra
0.41577 setgray
0.75387 0.54291 0.77481 0.61176 0.82019 0.64873 0.79919 0.58323 Metetra
0.62302 setgray
0.79919 0.58323 0.82019 0.64873 0.86456 0.66011 0.84578 0.61598 Metetra
0.79377 setgray
0.84578 0.61598 0.86456 0.66011 0.90563 0.63651 0.89152 0.62656 Metetra
0.49975 setgray
0.32804 0.66379 0.34934 0.68237 0.38177 0.72115 0.3606 0.69888 Metetra
0.68433 setgray
0.3606 0.69888 0.38177 0.72115 0.41614 0.74662 0.39502 0.72372 Metetra
0.82282 setgray
0.39502 0.72372 0.41614 0.74662 0.45223 0.74691 0.43123 0.72841 Metetra
0.88062 setgray
0.43123 0.72841 0.45223 0.74691 0.48919 0.71816 0.4686 0.70836 Metetra
0.84329 setgray
0.4686 0.70836 0.48919 0.71816 0.52609 0.66639 0.50627 0.66609 Metetra
0.72017 setgray
0.50627 0.66609 0.52609 0.66639 0.56235 0.60485 0.54355 0.61027 Metetra
0.54199 setgray
0.54355 0.61027 0.56235 0.60485 0.59811 0.54878 0.58024 0.55266 Metetra
0.35327 setgray
0.58024 0.55266 0.59811 0.54878 0.63411 0.51072 0.61672 0.5046 Metetra
0.20112 setgray
0.61672 0.5046 0.63411 0.51072 0.67146 0.49774 0.65376 0.47441 Metetra
0.12356 setgray
0.65376 0.47441 0.67146 0.49774 0.71119 0.51046 0.69237 0.46618 Metetra
0.13995 setgray
0.69237 0.46618 0.71119 0.51046 0.75387 0.54291 0.73341 0.47933 Metetra
0.2462 setgray
0.73341 0.47933 0.75387 0.54291 0.79919 0.58323 0.77732 0.50861 Metetra
0.41577 setgray
0.77732 0.50861 0.79919 0.58323 0.84578 0.61598 0.82382 0.54465 Metetra
0.60632 setgray
0.82382 0.54465 0.84578 0.61598 0.89152 0.62656 0.87179 0.57538 Metetra
0.49975 setgray
0.30617 0.6447 0.32804 0.66379 0.3606 0.69888 0.33889 0.67596 Metetra
0.66881 setgray
0.33889 0.67596 0.3606 0.69888 0.39502 0.72372 0.37339 0.69953 Metetra
0.80286 setgray
0.37339 0.69953 0.39502 0.72372 0.43123 0.72841 0.40968 0.70749 Metetra
0.8741 setgray
0.40968 0.70749 0.43123 0.72841 0.4686 0.70836 0.44733 0.69519 Metetra
0.86779 setgray
0.44733 0.69519 0.4686 0.70836 0.50627 0.66609 0.48562 0.66276 Metetra
0.78524 setgray
0.48562 0.66276 0.50627 0.66609 0.54355 0.61027 0.52386 0.61512 Metetra
0.64353 setgray
0.52386 0.61512 0.54355 0.61027 0.58024 0.55266 0.56164 0.56045 Metetra
0.47204 setgray
0.56164 0.56045 0.58024 0.55266 0.61672 0.5046 0.59897 0.50788 Metetra
0.30629 setgray
0.59897 0.50788 0.61672 0.5046 0.65376 0.47441 0.6363 0.46548 Metetra
0.18062 setgray
0.6363 0.46548 0.65376 0.47441 0.69237 0.46618 0.67438 0.43889 Metetra
0.12106 setgray
0.67438 0.43889 0.69237 0.46618 0.73341 0.47933 0.71407 0.43075 Metetra
0.13995 setgray
0.71407 0.43075 0.73341 0.47933 0.77732 0.50861 0.75612 0.44048 Metetra
0.23338 setgray
0.75612 0.44048 0.77732 0.50861 0.82382 0.54465 0.80095 0.46426 Metetra
0.382 setgray
0.80095 0.46426 0.82382 0.54465 0.87179 0.57538 0.84846 0.49537 Metetra
0.49975 setgray
0.2837 0.62508 0.30617 0.6447 0.33889 0.67596 0.31663 0.65236 Metetra
0.65294 setgray
0.31663 0.65236 0.33889 0.67596 0.37339 0.69953 0.35124 0.67407 Metetra
0.78034 setgray
0.35124 0.67407 0.37339 0.69953 0.40968 0.70749 0.3876 0.68412 Metetra
0.8605 setgray
0.3876 0.68412 0.40968 0.70749 0.44733 0.69519 0.42543 0.67828 Metetra
0.87991 setgray
0.42543 0.67828 0.44733 0.69519 0.48562 0.66276 0.46419 0.65533 Metetra
0.83532 setgray
0.46419 0.65533 0.48562 0.66276 0.52386 0.61512 0.50325 0.61737 Metetra
0.73423 setgray
0.50325 0.61737 0.52386 0.61512 0.56164 0.56045 0.54212 0.56935 Metetra
0.59365 setgray
0.54212 0.56935 0.56164 0.56045 0.59897 0.50788 0.58057 0.51775 Metetra
0.43727 setgray
0.58057 0.51775 0.59897 0.50788 0.6363 0.46548 0.6187 0.46929 Metetra
0.2914 setgray
0.6187 0.46929 0.6363 0.46548 0.67438 0.43889 0.65696 0.42968 Metetra
0.18062 setgray
0.65696 0.42968 0.67438 0.43889 0.71407 0.43075 0.696 0.403 Metetra
0.12356 setgray
0.696 0.403 0.71407 0.43075 0.75612 0.44048 0.73654 0.3913 Metetra
0.12985 setgray
0.73654 0.3913 0.75612 0.44048 0.80095 0.46426 0.77928 0.39451 Metetra
0.19841 setgray
0.77928 0.39451 0.80095 0.46426 0.84846 0.49537 0.82468 0.41045 Metetra
0.49975 setgray
0.2606 0.60492 0.2837 0.62508 0.31663 0.65236 0.29381 0.62806 Metetra
0.63674 setgray
0.29381 0.62806 0.31663 0.65236 0.35124 0.67407 0.32857 0.64736 Metetra
0.75546 setgray
0.32857 0.64736 0.35124 0.67407 0.3876 0.68412 0.365 0.65831 Metetra
0.84006 setgray
0.365 0.65831 0.3876 0.68412 0.42543 0.67828 0.40293 0.65742 Metetra
0.87924 setgray
0.40293 0.65742 0.42543 0.67828 0.46419 0.65533 0.44201 0.64288 Metetra
0.86779 setgray
0.44201 0.64288 0.46419 0.65533 0.50325 0.61737 0.48172 0.61501 Metetra
0.80723 setgray
0.48172 0.61501 0.50325 0.61737 0.54212 0.56935 0.52158 0.57617 Metetra
0.70565 setgray
0.52158 0.57617 0.54212 0.56935 0.58057 0.51775 0.56124 0.53029 Metetra
0.57658 setgray
0.56124 0.53029 0.58057 0.51775 0.6187 0.46929 0.60055 0.48211 Metetra
0.43727 setgray
0.60055 0.48211 0.6187 0.46929 0.65696 0.42968 0.63965 0.43639 Metetra
0.30629 setgray
0.63965 0.43639 0.65696 0.42968 0.696 0.403 0.67889 0.39724 Metetra
0.20112 setgray
0.67889 0.39724 0.696 0.403 0.73654 0.3913 0.7188 0.3678 Metetra
0.1358 setgray
0.7188 0.3678 0.73654 0.3913 0.77928 0.39451 0.76 0.34992 Metetra
0.11905 setgray
0.76 0.34992 0.77928 0.39451 0.82468 0.41045 0.8031 0.34415 Metetra
0.49975 setgray
0.23685 0.58419 0.2606 0.60492 0.29381 0.62806 0.27039 0.60306 Metetra
0.62026 setgray
0.27039 0.60306 0.29381 0.62806 0.32857 0.64736 0.30537 0.61941 Metetra
0.72842 setgray
0.30537 0.61941 0.32857 0.64736 0.365 0.65831 0.34189 0.63011 Metetra
0.81317 setgray
0.34189 0.63011 0.365 0.65831 0.40293 0.65742 0.3799 0.63249 Metetra
0.86581 setgray
0.3799 0.63249 0.40293 0.65742 0.44201 0.64288 0.41917 0.62475 Metetra
0.88095 setgray
0.41917 0.62475 0.44201 0.64288 0.48172 0.61501 0.45933 0.60626 Metetra
0.85705 setgray
0.45933 0.60626 0.48172 0.61501 0.52158 0.57617 0.5 0.57767 Metetra
0.79655 setgray
0.5 0.57767 0.52158 0.57617 0.56124 0.53029 0.54079 0.54081 Metetra
0.70565 setgray
0.54079 0.54081 0.56124 0.53029 0.60055 0.48211 0.58144 0.49842 Metetra
0.59365 setgray
0.58144 0.49842 0.60055 0.48211 0.63965 0.43639 0.62185 0.4537 Metetra
0.47204 setgray
0.62185 0.4537 0.63965 0.43639 0.67889 0.39724 0.66209 0.40992 Metetra
0.35327 setgray
0.66209 0.40992 0.67889 0.39724 0.7188 0.3678 0.70242 0.37007 Metetra
0.2495 setgray
0.70242 0.37007 0.7188 0.3678 0.76 0.34992 0.74322 0.33658 Metetra
0.17136 setgray
0.74322 0.33658 0.76 0.34992 0.8031 0.34415 0.78499 0.31121 Metetra
0.49975 setgray
0.21241 0.56286 0.23685 0.58419 0.27039 0.60306 0.24636 0.57734 Metetra
0.60352 setgray
0.24636 0.57734 0.27039 0.60306 0.30537 0.61941 0.28162 0.59026 Metetra
0.69946 setgray
0.28162 0.59026 0.30537 0.61941 0.34189 0.63011 0.31829 0.59961 Metetra
0.78034 setgray
0.31829 0.59961 0.34189 0.63011 0.3799 0.63249 0.35637 0.60354 Metetra
0.84006 setgray
0.35637 0.60354 0.3799 0.63249 0.41917 0.62475 0.39575 0.60056 Metetra
0.8741 setgray
0.39575 0.60056 0.41917 0.62475 0.45933 0.60626 0.4362 0.58975 Metetra
0.87991 setgray
0.4362 0.58975 0.45933 0.60626 0.5 0.57767 0.47744 0.57088 Metetra
0.85705 setgray
0.47744 0.57088 0.5 0.57767 0.54079 0.54081 0.51917 0.5444 Metetra
0.80723 setgray
0.51917 0.5444 0.54079 0.54081 0.58144 0.49842 0.56109 0.51143 Metetra
0.73423 setgray
0.56109 0.51143 0.58144 0.49842 0.62185 0.4537 0.603 0.47361 Metetra
0.64353 setgray
0.603 0.47361 0.62185 0.4537 0.66209 0.40992 0.64479 0.43293 Metetra
0.54199 setgray
0.64479 0.43293 0.66209 0.40992 0.70242 0.37007 0.68645 0.39149 Metetra
0.43727 setgray
0.68645 0.39149 0.70242 0.37007 0.74322 0.33658 0.72812 0.35134 Metetra
0.33725 setgray
0.72812 0.35134 0.74322 0.33658 0.78499 0.31121 0.77004 0.31432 Metetra
0.49975 setgray
0.18726 0.54091 0.21241 0.56286 0.24636 0.57734 0.2217 0.55087 Metetra
0.58656 setgray
0.2217 0.55087 0.24636 0.57734 0.28162 0.59026 0.25732 0.55995 Metetra
0.66881 setgray
0.25732 0.55995 0.28162 0.59026 0.31829 0.59961 0.29421 0.56695 Metetra
0.7422 setgray
0.29421 0.56695 0.31829 0.59961 0.35637 0.60354 0.3324 0.57073 Metetra
0.80286 setgray
0.3324 0.57073 0.35637 0.60354 0.39575 0.60056 0.37186 0.57025 Metetra
0.84761 setgray
0.37186 0.57025 0.39575 0.60056 0.4362 0.58975 0.41246 0.56472 Metetra
0.8741 setgray
0.41246 0.56472 0.4362 0.58975 0.47744 0.57088 0.45406 0.55361 Metetra
0.88095 setgray
0.45406 0.55361 0.47744 0.57088 0.51917 0.5444 0.49644 0.53673 Metetra
0.86779 setgray
0.49644 0.53673 0.51917 0.5444 0.56109 0.51143 0.53939 0.51422 Metetra
0.83532 setgray
0.53939 0.51422 0.56109 0.51143 0.603 0.47361 0.58269 0.48659 Metetra
0.78524 setgray
0.58269 0.48659 0.603 0.47361 0.64479 0.43293 0.62617 0.45463 Metetra
0.72017 setgray
0.62617 0.45463 0.64479 0.43293 0.68645 0.39149 0.66969 0.41936 Metetra
0.64353 setgray
0.66969 0.41936 0.68645 0.39149 0.72812 0.35134 0.71319 0.38197 Metetra
0.55935 setgray
0.71319 0.38197 0.72812 0.35134 0.77004 0.31432 0.75669 0.3437 Metetra
0.49975 setgray
0.16137 0.51831 0.18726 0.54091 0.2217 0.55087 0.19637 0.52363 Metetra
0.56942 setgray
0.19637 0.52363 0.2217 0.55087 0.25732 0.55995 0.23244 0.5285 Metetra
0.63674 setgray
0.23244 0.5285 0.25732 0.55995 0.29421 0.56695 0.26964 0.53228 Metetra
0.69946 setgray
0.26964 0.53228 0.29421 0.56695 0.3324 0.57073 0.30802 0.53436 Metetra
0.75546 setgray
0.30802 0.53436 0.3324 0.57073 0.37186 0.57025 0.34758 0.53414 Metetra
0.80286 setgray
0.34758 0.53414 0.37186 0.57025 0.41246 0.56472 0.38828 0.5311 Metetra
0.84006 setgray
0.38828 0.5311 0.41246 0.56472 0.45406 0.55361 0.43007 0.52478 Metetra
0.86581 setgray
0.43007 0.52478 0.45406 0.55361 0.49644 0.53673 0.47283 0.51487 Metetra
0.87924 setgray
0.47283 0.51487 0.49644 0.53673 0.53939 0.51422 0.51645 0.50115 Metetra
0.87991 setgray
0.51645 0.50115 0.53939 0.51422 0.58269 0.48659 0.56079 0.48356 Metetra
0.86779 setgray
0.56079 0.48356 0.58269 0.48659 0.62617 0.45463 0.6057 0.4622 Metetra
0.84329 setgray
0.6057 0.4622 0.62617 0.45463 0.66969 0.41936 0.65104 0.4373 Metetra
0.80723 setgray
0.65104 0.4373 0.66969 0.41936 0.71319 0.38197 0.6967 0.40922 Metetra
0.76083 setgray
0.6967 0.40922 0.71319 0.38197 0.75669 0.3437 0.74256 0.37844 Metetra
0.49975 setgray
0.13469 0.49503 0.16137 0.51831 0.19637 0.52363 0.17035 0.49562 Metetra
0.55213 setgray
0.17035 0.49562 0.19637 0.52363 0.23244 0.5285 0.20697 0.49596 Metetra
0.60352 setgray
0.20697 0.49596 0.23244 0.5285 0.26964 0.53228 0.24459 0.4958 Metetra
0.65294 setgray
0.24459 0.4958 0.26964 0.53228 0.30802 0.53436 0.28325 0.49484 Metetra
0.69946 setgray
0.28325 0.49484 0.30802 0.53436 0.34758 0.53414 0.32299 0.49284 Metetra
0.7422 setgray
0.32299 0.49284 0.34758 0.53414 0.38828 0.5311 0.36381 0.48951 Metetra
0.78034 setgray
0.36381 0.48951 0.38828 0.5311 0.43007 0.52478 0.4057 0.48463 Metetra
0.81317 setgray
0.4057 0.48463 0.43007 0.52478 0.47283 0.51487 0.44863 0.47796 Metetra
0.84006 setgray
0.44863 0.47796 0.47283 0.51487 0.51645 0.50115 0.49258 0.4693 Metetra
0.8605 setgray
0.49258 0.4693 0.51645 0.50115 0.56079 0.48356 0.53749 0.45851 Metetra
0.8741 setgray
0.53749 0.45851 0.56079 0.48356 0.6057 0.4622 0.58329 0.44545 Metetra
0.88062 setgray
0.58329 0.44545 0.6057 0.4622 0.65104 0.4373 0.62992 0.43005 Metetra
0.87991 setgray
0.62992 0.43005 0.65104 0.4373 0.6967 0.40922 0.6773 0.4123 Metetra
0.87201 setgray
0.6773 0.4123 0.6967 0.40922 0.74256 0.37844 0.72533 0.39219 Metetra
0.49975 setgray
0.10721 0.47104 0.13469 0.49503 0.17035 0.49562 0.14362 0.4668 Metetra
0.53473 setgray
0.14362 0.4668 0.17035 0.49562 0.20697 0.49596 0.18088 0.46238 Metetra
0.56942 setgray
0.18088 0.46238 0.20697 0.49596 0.24459 0.4958 0.21903 0.4577 Metetra
0.60352 setgray
0.21903 0.4577 0.24459 0.4958 0.28325 0.49484 0.25811 0.45268 Metetra
0.63674 setgray
0.25811 0.45268 0.28325 0.49484 0.32299 0.49284 0.29813 0.44723 Metetra
0.66881 setgray
0.29813 0.44723 0.32299 0.49284 0.36381 0.48951 0.33913 0.44125 Metetra
0.69946 setgray
0.33913 0.44125 0.36381 0.48951 0.4057 0.48463 0.38113 0.43467 Metetra
0.72842 setgray
0.38113 0.43467 0.4057 0.48463 0.44863 0.47796 0.42415 0.4274 Metetra
0.75546 setgray
0.42415 0.4274 0.44863 0.47796 0.49258 0.4693 0.46818 0.41935 Metetra
0.78034 setgray
0.46818 0.41935 0.49258 0.4693 0.53749 0.45851 0.51325 0.41045 Metetra
0.80286 setgray
0.51325 0.41045 0.53749 0.45851 0.58329 0.44545 0.55936 0.40061 Metetra
0.82282 setgray
0.55936 0.40061 0.58329 0.44545 0.62992 0.43005 0.6065 0.38975 Metetra
0.84006 setgray
0.6065 0.38975 0.62992 0.43005 0.6773 0.4123 0.65466 0.37783 Metetra
0.85443 setgray
0.65466 0.37783 0.6773 0.4123 0.72533 0.39219 0.70384 0.36476 Metetra
0.49975 setgray
0.07887 0.44631 0.10721 0.47104 0.14362 0.4668 0.11613 0.43715 Metetra
0.51726 setgray
0.11613 0.43715 0.14362 0.4668 0.18088 0.46238 0.15415 0.42779 Metetra
0.53473 setgray
0.15415 0.42779 0.18088 0.46238 0.21903 0.4577 0.19295 0.41822 Metetra
0.55213 setgray
0.19295 0.41822 0.21903 0.4577 0.25811 0.45268 0.23256 0.40842 Metetra
0.56942 setgray
0.23256 0.40842 0.25811 0.45268 0.29813 0.44723 0.273 0.39838 Metetra
0.58656 setgray
0.273 0.39838 0.29813 0.44723 0.33913 0.44125 0.3143 0.38808 Metetra
0.60352 setgray
0.3143 0.38808 0.33913 0.44125 0.38113 0.43467 0.35648 0.3775 Metetra
0.62026 setgray
0.35648 0.3775 0.38113 0.43467 0.42415 0.4274 0.39958 0.36662 Metetra
0.63674 setgray
0.39958 0.36662 0.42415 0.4274 0.46818 0.41935 0.44361 0.35543 Metetra
0.65294 setgray
0.44361 0.35543 0.46818 0.41935 0.51325 0.41045 0.4886 0.3439 Metetra
0.66881 setgray
0.4886 0.3439 0.51325 0.41045 0.55936 0.40061 0.53458 0.33202 Metetra
0.68433 setgray
0.53458 0.33202 0.55936 0.40061 0.6065 0.38975 0.58158 0.31976 Metetra
0.69946 setgray
0.58158 0.31976 0.6065 0.38975 0.65466 0.37783 0.62963 0.30711 Metetra
0.71417 setgray
0.62963 0.30711 0.65466 0.37783 0.70384 0.36476 0.67875 0.29405 Metetra
0.49975 setgray
0.04964 0.4208 0.07887 0.44631 0.11613 0.43715 0.08786 0.40664 Metetra
0.49975 setgray
0.08786 0.40664 0.11613 0.43715 0.15415 0.42779 0.12675 0.39224 Metetra
0.49975 setgray
0.12675 0.39224 0.15415 0.42779 0.19295 0.41822 0.16631 0.37759 Metetra
0.49975 setgray
0.16631 0.37759 0.19295 0.41822 0.23256 0.40842 0.20657 0.36267 Metetra
0.49975 setgray
0.20657 0.36267 0.23256 0.40842 0.273 0.39838 0.24755 0.3475 Metetra
0.49975 setgray
0.24755 0.3475 0.273 0.39838 0.3143 0.38808 0.28926 0.33205 Metetra
0.49975 setgray
0.28926 0.33205 0.3143 0.38808 0.35648 0.3775 0.33173 0.31632 Metetra
0.49975 setgray
0.33173 0.31632 0.35648 0.3775 0.39958 0.36662 0.37498 0.3003 Metetra
0.49975 setgray
0.37498 0.3003 0.39958 0.36662 0.44361 0.35543 0.41902 0.28399 Metetra
0.49975 setgray
0.41902 0.28399 0.44361 0.35543 0.4886 0.3439 0.46389 0.26737 Metetra
0.49975 setgray
0.46389 0.26737 0.4886 0.3439 0.53458 0.33202 0.50959 0.25044 Metetra
0.49975 setgray
0.50959 0.25044 0.53458 0.33202 0.58158 0.31976 0.55617 0.23319 Metetra
0.49975 setgray
0.55617 0.23319 0.58158 0.31976 0.62963 0.30711 0.60363 0.21561 Metetra
0.49975 setgray
0.60363 0.21561 0.62963 0.30711 0.67875 0.29405 0.65202 0.19769 Metetra
0 setgray
0.002 setlinewidth
0.64594 0.09301 moveto
0.89589 0.47534 lineto
stroke
0.64594 0.09301 moveto
0.65863 0.31163 lineto
stroke
0.92319 0.67509 moveto
0.65863 0.31163 lineto
stroke
0.92319 0.67509 moveto
0.89589 0.47534 lineto
stroke
0.06558 0.32026 moveto
0.03248 0.52913 lineto
stroke
0.06558 0.32026 moveto
0.64594 0.09301 lineto
stroke
0.65863 0.31163 moveto
0.64594 0.09301 lineto
stroke
0.65863 0.31163 moveto
0.03248 0.52913 lineto
stroke
0.03248 0.52913 moveto
0.65863 0.31163 lineto
stroke
0.03248 0.52913 moveto
0.38687 0.8155 lineto
stroke
0.92319 0.67509 moveto
0.38687 0.8155 lineto
stroke
0.92319 0.67509 moveto
0.65863 0.31163 lineto
stroke
gsave
0.06558 0.32026 moveto
0.64594 0.09301 lineto
stroke
0.06123 0.3162 moveto
0.06993 0.32433 lineto
stroke
0 setgray
[(0)] 0.05688 0.31214 1 0.933946 Mshowa
0.23954 0.2462 moveto
0.24766 0.25491 lineto
stroke
0 setgray
[(1)] 0.23549 0.24184 0.931731 1 Mshowa
0.43272 0.17039 moveto
0.44012 0.17972 lineto
stroke
0 setgray
[(2)] 0.42902 0.16572 0.792736 1 Mshowa
0.64269 0.08803 moveto
0.6492 0.09799 lineto
stroke
0 setgray
[(3)] 0.63943 0.08304 0.653742 1 Mshowa
grestore
gsave
0.64594 0.09301 moveto
0.89589 0.47534 lineto
stroke
0.65149 0.09084 moveto
0.6404 0.09518 lineto
stroke
0 setgray
[(0)] 0.65703 0.08867 -1 0.391569 Mshowa
0.74721 0.23734 moveto
0.73599 0.24133 lineto
stroke
0 setgray
[(1)] 0.75282 0.23534 -1 0.355817 Mshowa
0.82972 0.36363 moveto
0.8184 0.36732 lineto
stroke
0 setgray
[(2)] 0.83538 0.36178 -1 0.326047 Mshowa
0.90159 0.47362 moveto
0.89019 0.47705 lineto
stroke
0 setgray
[(3)] 0.90729 0.47191 -1 0.300874 Mshowa
grestore
gsave
0.06558 0.32026 moveto
0.03248 0.52913 lineto
stroke
0.05933 0.32687 moveto
0.07042 0.32254 lineto
stroke
0 setgray
[(-1)] 0.05378 0.32904 1 -0.390635 Mshowa
0.05183 0.37404 moveto
0.06295 0.36981 lineto
stroke
0 setgray
[(-0.5)] 0.04626 0.37616 1 -0.380695 Mshowa
0.04406 0.42286 moveto
0.05523 0.41873 lineto
stroke
0 setgray
[(0)] 0.03848 0.42493 1 -0.370371 Mshowa
0.03602 0.47342 moveto
0.04722 0.46939 lineto
stroke
0 setgray
[(0.5)] 0.03042 0.47544 1 -0.359642 Mshowa
0.02769 0.52581 moveto
0.03893 0.5219 lineto
stroke
0 setgray
[(1)] 0.02207 0.52777 1 -0.348483 Mshowa
grestore
% End of Graphics
MathPictureEnd
:[font = section; inactive; preserveAspect; startGroup; ]
Getting Help from the Kernel
:[font = text; inactive; preserveAspect; ]
     The kernel offers a help function (abbreviated ?) which can give usage information on a particular Mathematica definition
;[s]
5:0,0;52,1;53,2;104,3;115,4;126,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
?I
:[font = info; inactive; preserveAspect; endGroup; ]
I represents the imaginary unit Sqrt[-1].
:[font = text; inactive; preserveAspect; ]
or can match a collection of object names
:[font = input; preserveAspect; startGroup; ]
?*Solve
:[font = info; inactive; preserveAspect; endGroup; ]
DSolve      LinearSolve MainSolve   Solve
:[font = text; inactive; preserveAspect; ]
We can also ask for options supported by a given function like Plot:
;[s]
3:0,0;63,1;67,2;68,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Options[ Simplify ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{Trig -> True}
;[o]
{Trig -> True}
:[font = text; inactive; preserveAspect; endGroup; ]
The Help folder of the signal processing Notebooks contains several Notebooks that give more help like ``SignalProcessingIntroduction'' which gives an overview of Mathematica and the signal processing extensions.
;[s]
3:0,0;163,1;174,2;213,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; ]
Rewriting Expressions
:[font = text; inactive; preserveAspect; ]
      Often times, Mathematica does not return a formula in the work that you would like.  For example, sometimes you would prefer to see a factored polynomial expanded to view each of the coefficients---  the Mathematica command would be Expand (the inverse operation is Factor):
;[s]
9:0,0;19,1;30,2;210,3;221,4;239,5;245,6;272,7;278,8;282,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Expand[ (s + 1)(s + 2)(s + 3) ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
6 + 11*s + 6*s^2 + s^3
;[o]
              2    3
6 + 11 s + 6 s  + s
:[font = text; inactive; preserveAspect; ]
See also ExpandNumerator, ExpandDenominator, and ExpandAll.
;[s]
7:0,0;9,1;24,2;26,3;43,4;49,5;58,6;60,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
     Mathematica 2.0 assumes that variables are complex.  The routine ComplexExpand assumes that all variables are real.  Sometimes, the expression is not in its simplest form.  Mathematica offers a general Simplify function (the signal processing packages also offer SPSimplify).  
;[s]
11:0,0;5,1;16,2;70,3;83,4;178,5;189,6;207,7;215,8;268,9;278,10;284,-1;
11:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Signal Processing Extensions
:[font = text; inactive; preserveAspect; ]
     The signal processing packages for Mathematica implement a comprehensive set of signal processing operations and functions, including transforms and convolution as well as solvers for linear differential and difference equations.  The new packages can plot sequences, pole-zero diagrams, root loci, and frequency responses.
;[s]
3:0,0;40,1;51,2;329,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Loading the Signal Processing Packages
:[font = text; inactive; preserveAspect; ]
     If you are running Mathematica 2.0 or higher, then all you need to evaluate is the following command because the newer versions of Mathematica can automatically load definitions as you refer to them:
;[s]
5:0,0;24,1;35,2;136,3;147,4;204,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
Needs[ "SignalProcessing`Master`" ]
:[font = text; inactive; preserveAspect; ]
Note here that the single quotes are back quotes (the key above the TAB key on the Mac keyboard; on the NeXT cube, it is on the numeric keypad). 
:[font = text; inactive; preserveAspect; ]
     If you are running Mathematica 1.2, then it is best to load in only what you will need.  To compute convolutions and plot signals and systems, evaluate
;[s]
3:0,0;24,1;35,2;156,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
Needs["SignalProcessing`Support`Convolution`"]
:[font = text; inactive; preserveAspect; ]
(convolution examples are given later in this document).  If you wish to compute z-transforms, DTFT's, DFT's, solve difference equations, or perform analysis of discrete-time signals, then evaluate
;[s]
3:0,0;81,1;82,2;197,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
Needs[ "SignalProcessing`Digital`" ]
:[font = text; inactive; preserveAspect; ]
If you wish to compute Laplace and Fourier transforms, solve differential equations, or perform analysis of analog signals, then evaluate
:[font = input; preserveAspect; center; endGroup; ]
Needs[ "SignalProcessing`Analog`" ]
:[font = section; inactive; preserveAspect; startGroup; ]
Supporting Packages
:[font = text; inactive; preserveAspect; ]
     These packages introduce many new signals (functions).  The functions need a time variable, e.g. Step[n] and Sinc[2  -  Pi  t], and CPulse and Pulse also require a length argument, e.g. Pulse[L, n].  New signals are:
;[s]
11:0,0;102,1;109,2;114,3;131,4;137,5;143,6;148,7;153,8;191,9;202,10;221,-1;
11:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; ]
CPulse     continuous pulse function
CStep      continuous step functions
Delta      continuous impulse (Dirac delta)
Dirichlet  aliased sinc
Impulse    discrete (Kronecker) impulse
Pulse      discrete pulse function
Sinc       sinc
Step       discrete step functions
Unit[n]    generalized unit function of order n
;[s]
18:0,0;6,1;37,2;42,3;74,4;79,5;118,6;127,7;142,8;149,9;182,10;187,11;217,12;221,13;233,14;237,15;268,16;275,17;315,-1;
18:1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     The signal processing packages provide the following routines for plotting signals and sequences and their transforms:
:[font = print; inactive; preserveAspect; center; ]
MagPhasePlot   PiecewisePlot  PoleZeroPlot
RootLocus      SequencePlot   SignalPlot  
;[s]
12:0,0;12,1;15,2;28,3;30,4;42,5;43,6;52,7;58,8;70,9;73,10;83,11;86,-1;
12:1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Their syntax (except for PoleZeroPlot) is the same as Plot.  For a transfer function, PoleZeroPlot shows zeroes as O's and poles as X's and shades the region of convergence (which is |z| > 1 below).  The last argument specifies the complex domain:  True for z-domain and False for s-domain.
;[s]
19:0,0;25,1;37,2;54,3;58,4;86,5;98,6;115,7;116,8;132,9;133,10;183,11;184,12;185,13;186,14;249,15;253,16;271,17;276,18;291,-1;
19:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
trans = (z-1)/((z + 1/2 - I/2)(z + 1/2 + I/2));
PoleZeroPlot[ trans, z, 1, Infinity, True ]
:[font = print; inactive; preserveAspect; ]
The zeroes are:  {1.}
The poles are:   {-0.5 - 0.5 I, -0.5 + 0.5 I}
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 243; pictureHeight = 243; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.87588 0.63681 lineto
stroke
0.87588 0.63681 moveto
0 0 rlineto
0.11125 0.4058 moveto
0 0 rlineto
0 0.36531 moveto
0.11125 0.4058 lineto
stroke
stroke
0.10312 0.45014 moveto
0 0 rlineto
0 0.41261 moveto
0.10312 0.45014 lineto
stroke
stroke
0.10002 0.49631 moveto
0 0 rlineto
0 0.45991 moveto
0.10002 0.49631 lineto
stroke
stroke
0.10248 0.5445 moveto
0 0 rlineto
0 0.5072 moveto
0.10248 0.5445 lineto
stroke
stroke
0.11146 0.59507 moveto
0 0 rlineto
0 0.5545 moveto
0.11146 0.59507 lineto
stroke
stroke
0.12863 0.64861 moveto
0 0 rlineto
0 0.6018 moveto
0.12863 0.64861 lineto
stroke
stroke
0.15734 0.70636 moveto
0 0 rlineto
0 0.64909 moveto
0.15734 0.70636 lineto
stroke
stroke
0.20619 0.77144 moveto
0 0 rlineto
0 0.69639 moveto
0.20619 0.77144 lineto
stroke
stroke
0.36319 0.87588 moveto
0 0 rlineto
0 0.74369 moveto
0.36319 0.87588 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
0.63681 0.12412 moveto
0 0 rlineto
0.29578 0 moveto
0.63681 0.12412 lineto
stroke
stroke
0.44941 0.10321 moveto
0 0 rlineto
0.16584 0 moveto
0.44941 0.10321 lineto
stroke
stroke
0.37015 0.12166 moveto
0 0 rlineto
0.03589 0 moveto
0.37015 0.12166 lineto
stroke
stroke
0.31104 0.14744 moveto
0 0 rlineto
0 0.03423 moveto
0.31104 0.14744 lineto
stroke
stroke
0.26347 0.17743 moveto
0 0 rlineto
0 0.08153 moveto
0.26347 0.17743 lineto
stroke
stroke
0.22409 0.21039 moveto
0 0 rlineto
0 0.12883 moveto
0.22409 0.21039 lineto
stroke
stroke
0.19122 0.24572 moveto
0 0 rlineto
0 0.17612 moveto
0.19122 0.24572 lineto
stroke
stroke
0.16392 0.28308 moveto
0 0 rlineto
0 0.22342 moveto
0.16392 0.28308 lineto
stroke
stroke
0.14165 0.32227 moveto
0 0 rlineto
0 0.27072 moveto
0.14165 0.32227 lineto
stroke
stroke
0.12412 0.36319 moveto
0 0 rlineto
0 0.31801 moveto
0.12412 0.36319 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.85835 0.67773 lineto
stroke
0.85835 0.67773 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.88875 0.5942 lineto
stroke
0.88875 0.5942 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.83608 0.71692 lineto
stroke
0.83608 0.71692 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.89688 0.54986 lineto
stroke
0.89688 0.54986 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.80878 0.75428 lineto
stroke
0.80878 0.75428 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.89998 0.50369 lineto
stroke
0.89998 0.50369 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.77591 0.78961 lineto
stroke
0.77591 0.78961 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.89752 0.4555 lineto
stroke
0.89752 0.4555 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.73653 0.82257 lineto
stroke
0.73653 0.82257 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.88854 0.40493 lineto
stroke
0.88854 0.40493 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.68896 0.85256 lineto
stroke
0.68896 0.85256 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.87137 0.35139 lineto
stroke
0.87137 0.35139 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.62985 0.87834 lineto
stroke
0.62985 0.87834 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.84266 0.29364 lineto
stroke
0.84266 0.29364 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.55059 0.89679 lineto
stroke
0.55059 0.89679 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.79381 0.22856 lineto
stroke
0.79381 0.22856 moveto
0 0 rlineto
stroke
0.70422 1 moveto
0.36319 0.87588 lineto
stroke
0.36319 0.87588 moveto
0 0 rlineto
stroke
1 0.25631 moveto
0.63681 0.12412 lineto
stroke
0.63681 0.12412 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.9 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.3 0.3 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.3 0.7 0 0 Mshowa
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
{-0.5 - 0.5*I, -0.5 + 0.5*I}
;[o]
{-0.5 - 0.5 I, -0.5 + 0.5 I}
:[font = text; inactive; preserveAspect; endGroup; ]
     The supporting packages also implement discrete and continuous convolution via DTPiecewiseConvolution and CTPiecewiseConvolution.  An example of each is given later in this handout.  They are also discussed in the ``EE3216'' Notebook (the second section of the printed handout).
;[s]
5:0,0;84,1;106,2;111,3;133,4;283,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Analog and Digital Signal Processing Packages
:[font = text; inactive; preserveAspect; ]
     The signal processing packages implement many of the linear transforms used in signals and systems---  Laplace, Fourier, z, discrete-time Fourier, etc.  These transforms can justify their answers (as shown at the end of the handout).  You can also specify your own transform pairs.  The following example examines the effect of multiplication of a function by an exponential (the last argument specifies the transform pair x(t) <--> X(s)):
:[font = input; preserveAspect; startGroup; ]
LaPlace[ Exp[a t] x[t], t, s,
         TransformLookup -> { x[t] :> X[s] } ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
LTransData[X[-a + s], 
  Rminus[DirectedInfinity[-1]], 
  Rplus[DirectedInfinity[1]], LVariables[s]]
;[o]
LTransData[X[-a + s], Rminus[-Infinity], 
 
  Rplus[Infinity], LVariables[s]]
:[font = text; inactive; preserveAspect; ]
Here is a complete list of implemented linear transforms:
:[font = print; inactive; preserveAspect; ]
CTFTransform    InvDFTransform   InvZTransform
DFTransform     InvDTFTransform  LaPlace
DTFTransform    InvLaPlace       ZTransform
InvCTFTransform
;[s]
19:0,0;12,1;16,2;30,3;33,4;46,5;47,6;58,7;63,8;78,9;80,10;87,11;88,12;100,13;104,14;114,15;121,16;131,17;132,18;147,-1;
19:1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
We can invert the previous Laplace transform using InvLaPlace:
;[s]
3:0,0;51,1;61,2;63,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
InvLaPlace[ X[s - a], s, t,
            TransformLookup -> { X[s] :> x[t] } ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
E^(a*t)*x[t]
;[o]
 a t
E    x[t]
:[font = text; inactive; preserveAspect; ]
     We can have Mathematica perform a complicated z-transform and tell us how to do it by hand via the Dialogue -> All option:
;[s]
7:0,0;17,1;28,2;51,3;52,4;104,5;119,6;127,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; startGroup; ]
ZTransform[ a^n Cos[b n] Step[n], n, z,
            Dialogue -> All ]
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; ]
     n
Z  {a  Cos[b n] Step[n]}
  n
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; ]
which becomes
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; ]
{Z  {Cos[b n] Step[n]}}
   n                   z -> z/a and scale ROC
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; ]
which becomes
:[font = output; output; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; endGroup; ]
ZTransData[(1 - (a*Cos[b])/z)/
   (1 + a^2/z^2 - (2*a*Cos[b])/z), 
  Rminus[Abs[a]], Rplus[DirectedInfinity[1]], 
  ZVariables[z]]
;[o]
                  a Cos[b]
              1 - --------
                     z
ZTransData[-------------------, Rminus[Abs[a]], 
                2
               a    2 a Cos[b]
           1 + -- - ----------
                2       z
               z
 
  Rplus[Infinity], ZVariables[z]]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
The z-transform returns the transform as well as R- and R+ in the region of convergence.  You can extract the transform function by using TheFunction. To the pole-zero plot of a z-transform, you can apply PoleZeroPlot to the output of ZTransform (PoleZeroPlot only takes one argument in this case).
;[s]
9:0,0;138,1;149,2;205,3;217,4;235,5;245,6;247,7;259,8;300,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
The Notebook Interface
:[font = text; inactive; preserveAspect; ]
     What you are reading was prepared using the Notebook interface.  A Notebook is a collection of cells containing text, graphics, animation, equations, tables, and ``live'' Mathematica code arranged in a tree structure.  A closed section is displayed with a downward pointing half arrow.  Clicking twice on the downward pointing half arrow opens the closed section.
;[s]
3:0,0;176,1;187,2;368,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
     Fonts are indicative of what the cell is.  For example, the cell you are reading is normal-sized text.  You already know that cells containing bold face commands contain ``live'' Mathematica code.
;[s]
3:0,0;184,1;195,2;201,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Signal Processing Notebooks
:[font = text; inactive; preserveAspect; ]
     We have written 16 Notebooks (one is this handout).  On each OIT Macintosh file server, they are in ``EE:DSP Class:Version 2.x:Notebooks'' under the folders Handouts, Help, and Tutorial.  The tutorials are:
:[font = print; inactive; preserveAspect; ]
AnalogFilters
     classical analog filters      
;[s]
2:0,0;14,1;49,-1;
2:1,11,9,Courier,2,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = print; inactive; preserveAspect; ]
DTFT
     discrete-time Fourier analysis         
;[s]
2:0,0;10,1;49,-1;
2:1,11,9,Courier,2,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = print; inactive; preserveAspect; ]
PiecewiseConvolution
     continuous and discrete convolution
;[s]
2:0,0;20,1;61,-1;
2:1,11,9,Courier,2,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = print; inactive; preserveAspect; endGroup; ]
zTransform
     three-parter on the z-transform and DTFT
;[s]
2:0,0;10,1;56,-1;
2:1,11,9,Courier,2,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Discrete Convolution Example
:[font = text; inactive; preserveAspect; ]
     This example computes and plots the convolution of two discrete pulses.
The first pulse has an amplitude of 2 for 0 <= n <= 6 and the second has amplitude 3 for 0 <= n <= 3:
:[font = input; preserveAspect; startGroup; ]
testcase =
  DTPiecewiseConvolution[{2,0,6}, {3,0,3}, n]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{6*(1 + n), 0, 3}, {24, 4, 6}, {60 - 6*n, 7, 9}}
;[o]
{{6 (1 + n), 0, 3}, {24, 4, 6}, {60 - 6 n, 7, 9}}
:[font = text; inactive; preserveAspect; ]
The resulting convolution behaves differently over three distinct intervals:  (a) 0 <= n <= 3,  (b)  4 <= n <= 6,  and  (c)  7 <= n <= 9.
:[font = input; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; startGroup; ]
PiecewisePlot[ testcase, {n, -5, 15},
               Domain->Discrete ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 59; pictureWidth = 296; pictureHeight = 182; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.2619 0.04762 0.01472 0.02453 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(-5)] 0.02381 0.00222 0 1 Msboxa
[(5)] 0.5 0.00222 0 1 Msboxa
[(10)] 0.7381 0.00222 0 1 Msboxa
[(15)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(5)] 0.2494 0.13734 1 0 Msboxa
[(10)] 0.2494 0.25997 1 0 Msboxa
[(15)] 0.2494 0.38259 1 0 Msboxa
[(20)] 0.2494 0.50522 1 0 Msboxa
[( )] 0.2619 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-5)] 0.02381 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(5)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(10)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(15)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.2619 0 moveto
0.2619 0.61803 lineto
stroke
0.25565 0.13734 moveto
0.26815 0.13734 lineto
stroke
0 setgray
[(5)] 0.2494 0.13734 1 0 Mshowa
0.25565 0.25997 moveto
0.26815 0.25997 lineto
stroke
0 setgray
[(10)] 0.2494 0.25997 1 0 Mshowa
0.25565 0.38259 moveto
0.26815 0.38259 lineto
stroke
0 setgray
[(15)] 0.2494 0.38259 1 0 Mshowa
0.25565 0.50522 moveto
0.26815 0.50522 lineto
stroke
0 setgray
[(20)] 0.2494 0.50522 1 0 Mshowa
0 setgray
[( )] 0.2619 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00587 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.01762 setlinewidth
0.02381 0.01472 Mdot
0.00587 setlinewidth
0.07143 0.01472 moveto
0.07143 0.01472 lineto
stroke
0.01762 setlinewidth
0.07143 0.01472 Mdot
0.00587 setlinewidth
0.11905 0.01472 moveto
0.11905 0.01472 lineto
stroke
0.01762 setlinewidth
0.11905 0.01472 Mdot
0.00587 setlinewidth
0.16667 0.01472 moveto
0.16667 0.01472 lineto
stroke
0.01762 setlinewidth
0.16667 0.01472 Mdot
0.00587 setlinewidth
0.21429 0.01472 moveto
0.21429 0.01472 lineto
stroke
0.01762 setlinewidth
0.21429 0.01472 Mdot
0.00587 setlinewidth
0.2619 0.01472 moveto
0.2619 0.16187 lineto
stroke
0.01762 setlinewidth
0.2619 0.16187 Mdot
0.00587 setlinewidth
0.30952 0.01472 moveto
0.30952 0.30902 lineto
stroke
0.01762 setlinewidth
0.30952 0.30902 Mdot
0.00587 setlinewidth
0.35714 0.01472 moveto
0.35714 0.45617 lineto
stroke
0.01762 setlinewidth
0.35714 0.45617 Mdot
0.00587 setlinewidth
0.40476 0.01472 moveto
0.40476 0.60332 lineto
stroke
0.01762 setlinewidth
0.40476 0.60332 Mdot
0.00587 setlinewidth
0.45238 0.01472 moveto
0.45238 0.60332 lineto
stroke
0.01762 setlinewidth
0.45238 0.60332 Mdot
0.00587 setlinewidth
0.5 0.01472 moveto
0.5 0.60332 lineto
stroke
0.01762 setlinewidth
0.5 0.60332 Mdot
0.00587 setlinewidth
0.54762 0.01472 moveto
0.54762 0.60332 lineto
stroke
0.01762 setlinewidth
0.54762 0.60332 Mdot
0.00587 setlinewidth
0.59524 0.01472 moveto
0.59524 0.45617 lineto
stroke
0.01762 setlinewidth
0.59524 0.45617 Mdot
0.00587 setlinewidth
0.64286 0.01472 moveto
0.64286 0.30902 lineto
stroke
0.01762 setlinewidth
0.64286 0.30902 Mdot
0.00587 setlinewidth
0.69048 0.01472 moveto
0.69048 0.16187 lineto
stroke
0.01762 setlinewidth
0.69048 0.16187 Mdot
0.00587 setlinewidth
0.7381 0.01472 moveto
0.7381 0.01472 lineto
stroke
0.01762 setlinewidth
0.7381 0.01472 Mdot
0.00587 setlinewidth
0.78571 0.01472 moveto
0.78571 0.01472 lineto
stroke
0.01762 setlinewidth
0.78571 0.01472 Mdot
0.00587 setlinewidth
0.83333 0.01472 moveto
0.83333 0.01472 lineto
stroke
0.01762 setlinewidth
0.83333 0.01472 Mdot
0.00587 setlinewidth
0.88095 0.01472 moveto
0.88095 0.01472 lineto
stroke
0.01762 setlinewidth
0.88095 0.01472 Mdot
0.00587 setlinewidth
0.92857 0.01472 moveto
0.92857 0.01472 lineto
stroke
0.01762 setlinewidth
0.92857 0.01472 Mdot
0.00587 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.01762 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; endGroup; ]
Note that intervals can be infinite in length.  For example, a step function in interval form is {1, 0, Infinity}.  A reversed step function is {1, -Infinity, 0}.
;[s]
5:0,0;97,1;113,2;144,3;161,4;163,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Continuous Convolution Example
:[font = text; inactive; preserveAspect; ]
     The same convolution package also performs piecewise continuous convolution.  In this example, we will convolve a triangle and a pulse.  The triangle will last 6 times units, whereas the pulse will last four.
:[font = input; preserveAspect; startGroup; ]
triangle = t CPulse[3,t] + (6 - t) CPulse[3,t-3];
pulse = CPulse[4,t];
conv = CTPiecewiseConvolution[triangle, pulse, t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{t^2/2, 0, 3}, {-9 + 6*t - t^2/2, 3, 4}, 
  {-17 + 10*t - t^2, 4, 6}, 
  {1 + 4*t - t^2/2, 6, 7}, {(-10 + t)^2/2, 7, 10}}
;[o]
   2                      2
  t                      t
{{--, 0, 3}, {-9 + 6 t - --, 3, 4}, 
  2                      2
 
                                       2
                 2                    t
  {-17 + 10 t - t , 4, 6}, {1 + 4 t - --, 6, 7}, 
                                      2
 
            2
   (-10 + t)
  {----------, 7, 10}}
       2
:[font = input; preserveAspect; startGroup; ]
PiecewisePlot[ conv,
               {t, -2, 12},
               Domain -> Continuous]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 58; pictureWidth = 322; pictureHeight = 199; endGroup; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.15986 0.06803 0.01472 0.07358 [
[(Signal Plot)] 0.5 0.62428 0 -1 Msboxa
[(-2)] 0.02381 0.00222 0 1 Msboxa
[(2)] 0.29592 0.00222 0 1 Msboxa
[(4)] 0.43197 0.00222 0 1 Msboxa
[(6)] 0.56803 0.00222 0 1 Msboxa
[(8)] 0.70408 0.00222 0 1 Msboxa
[(10)] 0.84014 0.00222 0 1 Msboxa
[(12)] 0.97619 0.00222 0 1 Msboxa
[(t)] 1.00625 0.01472 -1 0 Msboxa
[(2)] 0.14736 0.16187 1 0 Msboxa
[(4)] 0.14736 0.30902 1 0 Msboxa
[(6)] 0.14736 0.45617 1 0 Msboxa
[(8)] 0.14736 0.60332 1 0 Msboxa
[( )] 0.15986 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Signal Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-2)] 0.02381 0.00222 0 1 Mshowa
0.29592 0.00847 moveto
0.29592 0.02097 lineto
stroke
0 setgray
[(2)] 0.29592 0.00222 0 1 Mshowa
0.43197 0.00847 moveto
0.43197 0.02097 lineto
stroke
0 setgray
[(4)] 0.43197 0.00222 0 1 Mshowa
0.56803 0.00847 moveto
0.56803 0.02097 lineto
stroke
0 setgray
[(6)] 0.56803 0.00222 0 1 Mshowa
0.70408 0.00847 moveto
0.70408 0.02097 lineto
stroke
0 setgray
[(8)] 0.70408 0.00222 0 1 Mshowa
0.84014 0.00847 moveto
0.84014 0.02097 lineto
stroke
0 setgray
[(10)] 0.84014 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(12)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(t)] 1.00625 0.01472 -1 0 Mshowa
0.15986 0 moveto
0.15986 0.61803 lineto
stroke
0.15361 0.16187 moveto
0.16611 0.16187 lineto
stroke
0 setgray
[(2)] 0.14736 0.16187 1 0 Mshowa
0.15361 0.30902 moveto
0.16611 0.30902 lineto
stroke
0 setgray
[(4)] 0.14736 0.30902 1 0 Mshowa
0.15361 0.45617 moveto
0.16611 0.45617 lineto
stroke
0 setgray
[(6)] 0.14736 0.45617 1 0 Mshowa
0.15361 0.60332 moveto
0.16611 0.60332 lineto
stroke
0 setgray
[(8)] 0.14736 0.60332 1 0 Mshowa
0 setgray
[( )] 0.15986 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.14286 0.01472 lineto
0.14782 0.01472 lineto
0.15278 0.01472 lineto
0.15526 0.01472 lineto
0.15774 0.01472 lineto
0.15898 0.01472 lineto
0.16022 0.01472 lineto
0.16146 0.01474 lineto
0.1627 0.01478 lineto
0.16394 0.01485 lineto
0.16518 0.01494 lineto
0.16766 0.0152 lineto
0.17014 0.01555 lineto
0.17262 0.01601 lineto
0.17758 0.01721 lineto
0.18254 0.0188 lineto
0.19246 0.02316 lineto
0.20238 0.02909 lineto
0.22222 0.04563 lineto
0.24206 0.06843 lineto
0.2619 0.09749 lineto
0.30159 0.17438 lineto
0.34127 0.27632 lineto
0.38095 0.39869 lineto
0.40079 0.45457 lineto
0.42063 0.5042 lineto
0.44048 0.54699 lineto
0.4504 0.5642 lineto
0.46032 0.57828 lineto
0.47024 0.58924 lineto
0.4752 0.59354 lineto
0.48016 0.59706 lineto
0.48512 0.5998 lineto
0.4876 0.60087 lineto
0.49008 0.60175 lineto
0.49256 0.60244 lineto
0.4938 0.60271 lineto
0.49504 0.60293 lineto
0.49628 0.6031 lineto
0.49752 0.60322 lineto
0.49876 0.60329 lineto
0.5 0.60332 lineto
0.50124 0.60329 lineto
0.50248 0.60322 lineto
0.50372 0.6031 lineto
0.50496 0.60293 lineto
Mistroke
0.50744 0.60244 lineto
0.50992 0.60175 lineto
0.5124 0.60087 lineto
0.51488 0.5998 lineto
0.51984 0.59706 lineto
0.5248 0.59354 lineto
0.52976 0.58924 lineto
0.53968 0.57828 lineto
0.5496 0.5642 lineto
0.55952 0.54699 lineto
0.57937 0.5042 lineto
0.61905 0.39869 lineto
0.65873 0.27632 lineto
0.69841 0.17438 lineto
0.7381 0.09749 lineto
0.75794 0.06843 lineto
0.77778 0.04563 lineto
0.79762 0.02909 lineto
0.80754 0.02316 lineto
0.8125 0.02079 lineto
0.81746 0.0188 lineto
0.82242 0.01721 lineto
0.82738 0.01601 lineto
0.82986 0.01555 lineto
0.83234 0.0152 lineto
0.83482 0.01494 lineto
0.83606 0.01485 lineto
0.8373 0.01478 lineto
0.83854 0.01474 lineto
0.83978 0.01472 lineto
0.84102 0.01472 lineto
0.84226 0.01472 lineto
0.8435 0.01472 lineto
0.84474 0.01472 lineto
0.84722 0.01472 lineto
0.85714 0.01472 lineto
0.86706 0.01472 lineto
0.87698 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Laplace Transform Example
:[font = text; inactive; preserveAspect; ]
     Consider the Laplace transform of t Exp[-a t]  CStep[t] with respect to t.  First, we need to load in the analog signal processing packages:
;[s]
3:0,0;39,1;60,2;145,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Needs[ "SignalProcessing`Analog`" ]
:[font = text; inactive; preserveAspect; ]
(output not shown).  Now, we can take the Laplace transform:
:[font = input; preserveAspect; startGroup; ]
ltrans = LaPlace[ t Exp[-a t] CStep[t],
                  t, s, Dialogue -> All ]
:[font = print; inactive; preserveAspect; ]
    t CStep[t]
L  {----------}
  t     a t
       E
:[font = print; inactive; preserveAspect; ]
which becomes
:[font = print; inactive; preserveAspect; ]
{L  {t CStep[t]}}
   t             s -> a + s and shift ROC
:[font = print; inactive; preserveAspect; ]
which becomes
:[font = print; inactive; preserveAspect; ]
                 -2
Transform[(a + s)  , -Re[a], Infinity]
:[font = print; inactive; preserveAspect; ]
which becomes
:[font = output; output; inactive; preserveAspect; endGroup; ]
LTransData[(a + s)^(-2), Rminus[-Re[a]], 
  Rplus[DirectedInfinity[1]], LVariables[s]]
;[o]
                  -2
LTransData[(a + s)  , Rminus[-Re[a]], 
 
  Rplus[Infinity], LVariables[s]]
:[font = text; inactive; preserveAspect; ]
The Laplace transform returns a data structure that contains the Laplace transform, its region of convergence R- and R+ such that R- < Re(s) < R+, and the transform variables.  Since the region of convergence is known, we can ask for the conditions on the free parameters for the signal to be stable:
;[s]
9:0,0;111,1;112,2;118,3;120,4;131,5;132,6;144,7;145,8;301,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Stable[ ltrans ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
Re[a] > 0
;[o]
Re[a] > 0
:[font = text; inactive; preserveAspect; ]
We can also plot the pole-zero diagram of the transform, but we must first give a value (pole-zero diagram is not shown):
:[font = input; preserveAspect; endGroup; ]
PoleZeroPlot[ ltrans /. a -> 1 ]
:[font = subtitle; inactive; preserveAspect; plain; italic; spaceAbove = 20; spaceBelow = 12; fontSize = 24; fontName = "Times"; startGroup; ]
Downloading the Extensions at Home
:[font = text; inactive; preserveAspect; ]
     You can download the signal processing packages and Notebooks from our file server in EE.  It appears in three archive formats, so you should be able to download the one that fits your computer:
:[font = input; preserveAspect; center; ]
(1) compressed tar file for Unix Systems
(2) zip file for IBM PC's               
(3) self-extracting archive for Mac's   
:[font = text; inactive; preserveAspect; ]
In any case, you will need to use the File Transfer Program, ftp, which runs on many Unix machines and is available for personal computers and Macintosh.  If you have trouble finding the symbolic address gauss.eedsp.gatech.edu, then try to use its numeric address of 130.207.226.24.  There are hundreds of FTP sites around the world.
;[s]
3:0,0;204,1;226,2;333,-1;
3:1,13,10,Times,0,14,0,0,0;1,10,8,Courier,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Downloading to a Unix workstation
:[font = text; inactive; preserveAspect; ]
     The following instructions use HOME to denote the Unix workstation that you are using.   What you type appears in bold italics. 
:[font = input; preserveAspect; endGroup; ]
HOME> ftp gauss.eedsp.gatech.edu
....
Username: anonymous
Password: <use your e-mail address>
...
ftp> cd Mathematica
ftp> binary
ftp> get SigProc2.0.tar.Z
ftp> ascii
ftp> get README
ftp> quit
...
HOME> uncompress SigProc2.0.tar.Z
HOME> tar xf SigProc2.0.tar
;[s]
20:0,0;6,1;32,2;48,3;57,4;103,5;117,6;123,7;129,8;135,9;156,10;160,11;167,12;171,13;182,14;188,15;192,16;203,17;230,18;237,19;258,-1;
20:1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;
:[font = section; inactive; pageBreak; preserveAspect; startGroup; ]
Downloading to an IBM PC running MS-DOS
:[font = text; inactive; preserveAspect; ]
     The following instructions use HOME to denote the IBM PC or other computer that you are using.   Many computers (like suns) are IBM PC compatible so you can download the version to that computer and dump the archive on disk and take it to a PC.  What you type appears in bold italics.  In the last command, the -d option will preserve the directory hierarchy.
;[s]
3:0,0;316,1;318,2;364,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; endGroup; ]
HOME> ftp gauss.eedsp.gatech.edu
....
Username: anonymous
Password: <use your e-mail address>
...
ftp> cd Mathematica
ftp> binary
ftp> get SigProc2_IBM_PC.zip
ftp> ascii
ftp> get README
ftp> quit
...
HOME> unzip -d SigProc2.zip
;[s]
18:0,0;6,1;32,2;48,3;57,4;103,5;117,6;123,7;129,8;135,9;159,10;164,11;169,12;175,13;185,14;191,15;195,16;206,17;227,-1;
18:1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Downloading to a Macintosh computer
:[font = text; inactive; preserveAspect; ]
     On the Macintosh, run the ftp program and connect to
:[font = input; preserveAspect; center; ]
gauss.eedsp.gatech.edu
:[font = text; inactive; preserveAspect; ]
which at the IP address 128.207.226.24.  You will then be asked for a username and a password.  What you type in is given in bold italics. 
:[font = input; preserveAspect; ]
Username: anonymous
Password: <use your e-mail address>
...
ftp> cd Mathematica
ftp> binary
ftp> get SigProc2.0.mac.sea.hqx
ftp> ascii
ftp> get README
ftp> quit
;[s]
16:0,0;10,1;19,2;65,3;79,4;85,5;91,6;97,7;123,8;124,9;128,10;135,11;139,12;150,13;151,14;156,15;160,-1;
16:1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,11,9,Courier,3,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
Now, you will need to run the BinHex program with the Text Filter disabled and choose the Download -> Application command.  This will produce ``SigProc2.0.mac.sea''  which is a self-extracting archive (sea) file.  To extract its contents, simply click twice on its icon.
;[s]
5:0,0;54,1;65,2;90,3;113,4;270,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Contents of the Signal Processing Extensions
:[font = text; inactive; preserveAspect; endGroup; ]
     The signal processing extensions, copyrighted by the Georgia Tech Research Corporation, are a collection of ASCII text files which you may distribute as long as you do not charge a fee.  When unbundled, they form several new directories:  Packages, Notebooks, doc.  The Packages directory contains the Mathematica  code to implement functions, routines, and operators common in signal processing but missing in the core of Mathematica.   The Notebooks directory contains tutorials on signal processing topics, on-line help about the signal processing extensions, and a handout written for junior engineering students.  The tutorials cover the topics of analog filter design, discrete-time Fourier analysis, convolution, and the z-transform.
;[s]
7:0,0;307,1;318,2;428,3;439,4;733,5;734,6;746,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Buying Student Versions of Mathematica
;[s]
2:0,0;27,1;38,-1;
2:1,16,12,Times,1,18,0,0,0;1,17,13,Times,3,18,0,0,0;
:[font = text; inactive; preserveAspect; ]
     The prices for student versions for Mathematica 2.0 are:
;[s]
4:0,0;41,1;52,2;57,3;61,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; startGroup; ]
Macintosh    $175.00
MS-DOS       $175.00
MS Windows*  $175.00
:[font = message; inactive; wordwrap; preserveAspect; endGroup; ]
* Mathematica works much better under MS Windows 3.1 than under MS Windows 3.0.
;[s]
3:0,0;2,1;13,2;79,-1;
3:1,11,9,Courier,0,14,65535,0,0;1,11,9,Courier,2,14,65535,0,0;1,11,9,Courier,0,14,65535,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
For this price, the student version means that you cannot update the software and the floating point coprocessor is disabled.  You do get a copy of the Mathematica  reference book which has a retail value of $30.
;[s]
3:0,0;152,1;163,2;212,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Additional Information
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
     An excellent introduction to Mathematica is contained in  ``Mathematica: A Practical Approach'' (ISBN  0-13-563826-7) written by Nancy Blachman and published by Prentice-Hall.  I would recommend it for anyone who plans to use Mathematica beyond the EE 3216/21 sequence.
;[s]
7:0,0;34,1;45,2;65,3;76,4;231,5;242,6;275,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
^*)